Bug 1125307 - master-boot-code grew by 10311.753x - wrong use of objcopy
master-boot-code grew by 10311.753x - wrong use of objcopy
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Bootloader
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Jiri Srain
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-13 13:16 UTC by Fabian Vogt
Modified: 2019-03-12 11:21 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Vogt 2019-02-13 13:16:19 UTC
master-boot-code in openSUSE:Factory is ~128MiB big after the latest rebuild with an updated binutils.

This is due to an unnecessarily copied .note.gnu.property section in the ELF file.

What is this package actually used for - maybe it can just be dropped?
Comment 1 Jiri Srain 2019-03-01 07:55:36 UTC
The package is used when you install your bootloader to a boot sector and want to make sure that MBR contains code which can actually load it (or other BL from the active partition). This is (when configured) a part of the installation of openSUSE.

However, is: Checking the YaST code, it looks to me like YaST currently uses similar functionality coming from syslinux. Which would mean that it is indeed not needed any more (I'm not aware of any other user and it was split off from the yast2-bootloader package from legal reasons).

Josef, could you, please, confirm that I did not miss anything and this "flaver" of generic boot code is not used any more?
Comment 2 Josef Reidinger 2019-03-01 09:47:45 UTC
Jiri - 5 years ago we switch from master-boot-code to syslinux, so it is no longer needed by us.

See https://github.com/yast/yast-bootloader/blob/master/package/yast2-bootloader.changes#L2165
Comment 3 Jiri Srain 2019-03-01 14:03:10 UTC
Thanks!

Then the question is: Why do we need it for gfxboot and installatino-image?

For the later I can understand it is a left-over, but for gfxboot...

Steffen?
Comment 4 Steffen Winterfeldt 2019-03-01 14:24:08 UTC
It's not used in installation-images.

For gfxboot it's used in a testing function. But that could easily be replaced, afaics.
Comment 5 Jiri Srain 2019-03-01 14:32:43 UTC
(In reply to Steffen Winterfeldt from comment #4)
> It's not used in installation-images.

OK, it is probably because of some dependencies, but the build log includes installing it :-)

> For gfxboot it's used in a testing function. But that could easily be
> replaced, afaics.

Makes sense to me.
Comment 6 Steffen Winterfeldt 2019-03-01 15:25:41 UTC
> OK, it is probably because of some dependencies, but the build log includes installing it :-)

Possibly because of gfxboot.
Comment 7 Swamp Workflow Management 2019-03-12 10:40:06 UTC
This is an autogenerated message for OBS integration:
This bug (1125307) was mentioned in
https://build.opensuse.org/request/show/684229 Factory / gfxboot
Comment 8 José Iván López González 2019-03-12 11:21:47 UTC
gfxboot package was adapted and now it does not require master-boot-code package anymore (syslinux version is used instead).

PR: https://github.com/openSUSE/gfxboot/pull/37
SR: https://build.opensuse.org/request/show/684250
SR: https://build.suse.de/request/show/186849